<?php
/**
 * Module Class
 *
 * @category  Prestashop
 * @category  Module
 * @author    Mediacom87 <support@mediacom87.net>
 * @copyright Mediacom87
 * @license   commercial license see in the module
 * @version   1.0.0
 */

class MedMailMunchFreeBis extends Module
{
    /**
     * isoCode function.
     *
     * @access protected
     * @param bool $domain (default: false)
     * @return void
     */
    protected function isoCode($domain = false)
    {
        $iso = $this->context->language->iso_code;

        if ($iso == 'fr') {

            return 'fr';

        } elseif ($domain) {

            return 'com';

        } else {

            return 'en';

        }
    }

    protected function medJsonModuleFile()
    {
        $conf = Configuration::getMultiple(array('MED_JSON_TIME', 'MED_JSON_FILE'));

        if (!isset($conf['MED_JSON_TIME']) || $conf['MED_JSON_TIME'] < (time() - 604800)) {

            Configuration::updateValue('MED_JSON_TIME', time());
            $url_api = 'http://api-addons.prestashop.com/' . _PS_VERSION_ . '/contributor/all_products/' . $this->module_key . '/' . $this->context->language->iso_code . '/' . $this->context->country->iso_code;
            $conf['MED_JSON_FILE'] = Tools::file_get_contents($url_api);
            Configuration::updateValue('MED_JSON_FILE', $conf['MED_JSON_FILE']);

        }

        $modules = Tools::jsonDecode($conf['MED_JSON_FILE'], true);

        if (!is_array($modules) || isset($modules['errors'])) {

            Configuration::updateValue('MED_JSON_TIME', 0);
            return null;

        } else {

            return $modules;

        }
    }
}
